# Time-stamp: <modified the 28/03/2019 (at 10:33) by Erwan Jahier>

DIR=../../_build/install/default
sasa=$(DIR)/bin/sasa -seed 42  -l 100

LIB=-I $(DIR)/lib/algo 
# LIB=-I +algo

%.cmxs: %.ml
	ocamlopt -shared $(LIB) $^ -o $@

%.lut: %.dot
	$(sasa) -gld $^

%.rif: cmxs %.dot
	$(sasa) $(sasaopt) $*.dot -rif > $*.rif

g:gnuplot
s:sim2chrogtk

clean:
	rm -f *.cmxs sasa *.cmi *.o *.cmx *.pdf *.rif *.gp *.log *.dro *.seed *.c sasa-*.dot

##################################################################################
# Essais en cours

LIB2=-I $(DIR)/lib/algo -I $(DIR)/lib/sasacore
# XXX pour lancer rdbg en bactch (pour les tests) ; ne compile pas XXX
rdbg.%.cmxs: rdbg.%.ml
	 ocamlfind ocamlopt -shared $(LIB2) -o $@  -package lutin,ocamlgraph  -linkpkg algo.cmxa ../../lib/sasacore/topology.mli ../../lib/sasacore/topology.ml ../rdbg-utils/dot.ml $^
